%global pkgname Spreadsheet-XLSX

Summary:	Perl extension for reading Microsoft Excel 2007 files
Name:		perl-Spreadsheet-XLSX
Version:	0.15
Release:	6%{?dist}
License:	GPL+ or Artistic 
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/%{pkgname}/
Source:		http://search.cpan.org/CPAN/authors/id/M/MI/MIKEB/%{pkgname}-%{version}.tar.gz
Patch0:		perl-Spreadsheet-XLSX-0.15-archive-zip.patch
Patch1:		perl-Spreadsheet-XLSX-0.15-makemaker.patch
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	perl-generators
BuildRequires:	perl(Archive::Zip) >= 1.16, perl(Spreadsheet::ParseExcel) >= 0.45
BuildRequires:	perl(ExtUtils::MakeMaker), perl(Data::Dumper), perl(Exporter)
BuildRequires:	perl(Test::More), perl(Test::NoWarnings)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The Spreadsheet::XLSX module is a emulation of Spreadsheet::ParseExcel for
Excel 2007 (.xlsx) file format in a quick and dirty way. It supports styles
and many of the Excel's quirks, but not all. It populates the classes from
Spreadsheet::ParseExcel for interoperability; including workbook, worksheet
and cell.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
%patch1 -p1

# Change strange upstream file permissions
chmod 644 Changes README lib/Spreadsheet/{*,*/*}.pm

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes README
%{perl_vendorlib}/Spreadsheet/
%{_mandir}/man3/*.3pm*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.15-5
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.15-3
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 09 2016 Robert Scheck <robert@fedoraproject.org> 0.15-1
- Upgrade to 0.15 (#1285437)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.13-9
- Perl 5.22 rebuild

* Tue Oct 14 2014 Robert Scheck <robert@fedoraproject.org> 0.13-8
- Modified existing patch to parse value "0" correct (#1152739)

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.13-7
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 31 2013 Petr Pisar <ppisar@redhat.com> - 0.13-4
- Perl 5.18 rebuild

* Wed May 15 2013 Robert Scheck <robert@fedoraproject.org> 0.13-3
- Modified the existing patch to suppress further warnings

* Thu May 09 2013 Robert Scheck <robert@fedoraproject.org> 0.13-2
- Changes to match with Fedora Packaging Guidelines (#952796)

* Tue Apr 16 2013 Robert Scheck <robert@fedoraproject.org> 0.13-1
- Upgrade to 0.13
- Initial spec file for Fedora and Red Hat Enterprise Linux
